<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="globals.html"><span>All</span></a></li>
      <li class="current"><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li class="current"><a href="globals_func.html#index_a"><span>a</span></a></li>
      <li><a href="globals_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="globals_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="globals_func_t.html#index_t"><span>t</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>appCNNClassCIFAR10Testing()
: <a class="el" href="group__appCNNClass.html#gaff0f3476d60a46eeb68eae09d6df964a">appCNNClass.h</a>
</li>
<li>appCNNClassCIFAR10Training()
: <a class="el" href="group__appCNNClass.html#gac0aaedb9badf585311124c33751ee778">appCNNClass.h</a>
</li>
<li>appCNNClassImageNetAlexNetTesting()
: <a class="el" href="group__appCNNClass.html#ga58374035d8fb4279976c717200afa6e7">appCNNClass.h</a>
</li>
<li>appCNNClassImageNetCaffeNetTesting()
: <a class="el" href="group__appCNNClass.html#gada456a8096611989894d1ea86e5db990">appCNNClass.h</a>
</li>
<li>appCNNClassImageNetCaffeNetTraining()
: <a class="el" href="group__appCNNClass.html#ga6e0261a628661780625cd97ef79d2fad">appCNNClass.h</a>
</li>
<li>appCNNClassImageNetVGGNetTesting()
: <a class="el" href="group__appCNNClass.html#ga9ee4c46de513b5af6b6129e6ae89cf54">appCNNClass.h</a>
</li>
<li>appCNNClassMNISTTesting()
: <a class="el" href="group__appCNNClass.html#gafa188db78d9c7794ae1bac7a8c93cb3a">appCNNClass.h</a>
</li>
<li>appCNNClassMNISTTraining()
: <a class="el" href="group__appCNNClass.html#ga74ae1f2ec0bb9e1cfc344cdfd204f4da">appCNNClass.h</a>
</li>
<li>appCNNConvertImageNetShuffle()
: <a class="el" href="group__appCNNConvertImageNet.html#gaba75894d23fa50425573b885ed26de88">appCNNConvertImageNet.hpp</a>
</li>
<li>appCNNConvertSBDShuffle()
: <a class="el" href="group__appCNNConvertSBD.html#ga226073dad2d094fb581f703f1ac8b0bf">appCNNConvertSBD.hpp</a>
, <a class="el" href="group__appCNNConvertSBD.html#ga226073dad2d094fb581f703f1ac8b0bf">appCNNConvertSBDShuffle.cpp</a>
</li>
<li>appCNNInteropCaffeConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#ga2ce06f0ef11d677b3087a59857797335">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeConvLayerConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#ga17ffed596b6ee6d57574915f1eaaaf23">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeConvLayerPermuteKernel()
: <a class="el" href="group__appCNNInteropCaffe.html#ga9dfa0736763aefc3d820ca27e7a19882">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeDropoutLayerConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#gaf982a0ff86bbbfffaa342f80b3f46cb5">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeFillBlockDiagonalMatrix()
: <a class="el" href="group__appCNNInteropCaffe.html#ga9a4b55d7ec059ee00c3c6b6d5743f9f7">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeFlipKernelMatrix()
: <a class="el" href="group__appCNNInteropCaffe.html#ga4d2f15bd3e322f77cbc47edf00f9ef36">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeFlipMatrixFloat()
: <a class="el" href="group__appCNNInteropCaffe.html#ga335d05efc7a9d315db56be13fc0af111">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeLayerTypeConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#ga3752b452e61029bc03d4f10b95d0a861">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeLinearLayerConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#ga53805074229f6d101a0b3c91dce8216b">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeNonlinearLayerConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#gab913f62c0b33ce7bc646d2877e9fb748">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeNonlinearTypeConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#ga630a9d1314c2151e7193de73a714b789">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeNormLayerConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#ga7ac38ac27f861867ee84e038428d2139">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffePermuteMean()
: <a class="el" href="group__appCNNInteropCaffe.html#gaa86fc855715a800c4e27a31159c39207">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffePoolingLayerConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#gae61e927bb0b0fd6cca3dd1a45f8a1e62">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffePoolingTypeConvert()
: <a class="el" href="group__appCNNInteropCaffe.html#ga3106ebef164cd39f0bc864c59c2c0a45">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeReadMean()
: <a class="el" href="group__appCNNInteropCaffe.html#gab530bd6ef77e6850fb50355ce85f8ff8">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeReadProtoFromBinaryFile()
: <a class="el" href="group__appCNNInteropCaffe.html#ga622145415a86ef826c3e8017fb478db6">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNInteropCaffeReadProtoFromTextFile()
: <a class="el" href="group__appCNNInteropCaffe.html#ga7052f4eb157d65957ad3fd2332438522">appCNNInteropCaffe.hpp</a>
</li>
<li>appCNNSceneAccuracy()
: <a class="el" href="group__appCNNScene.html#ga656def3c972943463bee38f746074b79">appCNNScene.h</a>
</li>
<li>appCNNSceneClassify()
: <a class="el" href="group__appCNNScene.html#ga4924a13edce94afaba52667d78ef7256">appCNNScene.h</a>
</li>
<li>appCNNSceneClassifyOpenMP()
: <a class="el" href="group__appCNNScene.html#gad77aeeb63649011f260d9c475bef945d">appCNNScene.h</a>
</li>
<li>appCNNSceneGetLabel()
: <a class="el" href="group__appCNNScene.html#ga963efff2a4368b6ddc7340d8e24e69bc">appCNNScene.h</a>
</li>
<li>appCNNSceneGetPatch()
: <a class="el" href="group__appCNNScene.html#ga40b5369e66533ed261ba62199b223cff">appCNNScene.h</a>
</li>
<li>appCNNSceneLabelMatrix()
: <a class="el" href="group__appCNNScene.html#ga99dbed533d0ee1089e655bb3bc507a62">appCNNScene.h</a>
</li>
<li>appCNNSceneSBDTesting()
: <a class="el" href="group__appCNNScene.html#gaa2f9ce79a0aaf4a15ef414ac09f0ca7d">appCNNScene.h</a>
</li>
<li>appCNNSceneSBDTraining()
: <a class="el" href="group__appCNNScene.html#ga38cb0fe9d4fb06709a7e9330911c9431">appCNNScene.h</a>
</li>
<li>appCNNSceneShuffleIdx()
: <a class="el" href="group__appCNNScene.html#gae6081de152d81c0f91f2ce6f53683848">appCNNScene.h</a>
</li>
<li>appCNNSceneSupervisedTraining()
: <a class="el" href="group__appCNNScene.html#gaf308ce265a25eed146051684e2da2671">appCNNScene.h</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:10 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
